Added a package file for Arch Linux
authorAndrey Vlasovskikh <andrey.vlasovskikh@gmail.com>
Sun, 17 Oct 2010 15:15:11 +0400
changeset 124 9700357a6690
parent 121 836bb50a8660
child 125 3dc474919a89
Added a package file for Arch Linux
contrib/PKGBUILD
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/contrib/PKGBUILD	Sun Oct 17 15:15:11 2010 +0400
@@ -0,0 +1,19 @@
+# Maintainer: Andrey Vlasovskikh <andrey.vlasovskikh@gmail.com>
+
+pkgname=python-opster
+pkgver=0.9.11
+pkgrel=1
+pkgdesc="Python command line parsing speedster"
+arch=(any)
+url="http://hg.piranha.org.ua/opster/"
+license=('GPL')
+depends=('python')
+source=("http://pypi.python.org/packages/source/o/opster/opster-$pkgver.tar.gz")
+md5sums=('24b2349fa3930eb17e28e6fc7cf78575')
+
+build() {
+    cd "$srcdir/opster-$pkgver"
+    python setup.py build || return 1
+    python setup.py install --root=$pkgdir --optimize=1 || return 1
+}
+